<?php
#include("kurs/datenbankanbindung.php");		// f&uuml;gt die Datenbankanbindung ein: Sys:\php\includes\kurs\datenbankanbindung.php
function get_vert_block($block, $uid1){
  require_once("../stud/func_get_block.php");                  // Gibt den Block zurück, in welchen die Stelle fällt

  $db = dbconnect();
  
  $result_jhr = $db->query("SELECT jahrgang
                               FROM stud
                              WHERE uid='$uid1'");
  $row_jahrgang = $result_jhr->fetch_array();

  $query = "SELECT distinct vert_bereich
              FROM stan_antrag t1
             WHERE t1.status = (
                                SELECT MAX(t2.status)
                                  FROM stan_antrag t2
                                 WHERE t1.aendid = t2.aendid
                                   AND t2.status !='2' #hinzugefügt am 10.06.2009, weil Status 2 angezeigt wurde
                                )
               AND t1.uid = '$uid1'
               AND (t1.zuweisung is NULL OR t1.zuweisung='Z')
             ORDER BY beginn
           ";

  $result = $db->query ($query)
     or die ("Cannot execute query");

  while ($row = $result->fetch_array()){
  
    $result_gb3 = $db->query("SELECT saaid
                                 FROM stan_antrag
                                WHERE vert_bereich='$row[vert_bereich]'
                                  AND uid='$uid1'
                                ORDER BY beginn ASC
                                LIMIT 1");
    $row_gb3 = $result_gb3->fetch_array();
    
    $block_cur = get_block($row_gb3['saaid'], $row_jahrgang['jahrgang']);
    
    if($block_cur == $block){
      return $row['vert_bereich'];
    }
  }
  
}
?>